Skip to main content
`Ctrl`+`K`

# PetscDSDestroyBoundary

Remove all `DMBoundary` objects from the `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSDestroyBoundary(PetscDS ds)

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## See Also

`PetscDS`, `DMBoundary`, `PetscDSCopyBoundary()`, `PetscDSCopyEquations()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages